utility-ht-0.0.5.1: Various small helper functions for Lists, Maybes, Tuples, Functions

Safe Haskell | Safe-Inferred

Data.Record.HT

Synopsis

- compare :: [a -> a -> Ordering] -> a -> a -> Ordering
- equal :: [a -> a -> Bool] -> a -> a -> Bool

# Documentation

compare :: [a -> a -> Ordering] -> a -> a -> Ordering Source

Lexicographically compare a list of attributes of two records.

Example:

     compare [comparing fst, comparing snd]

equal :: [a -> a -> Bool] -> a -> a -> Bool Source

Check whether a selected set of fields of two records is equal.

Example:

     equal [equating fst, equating snd]